Package org.globus.gsi.trustmanager

# Class DateValidityChecker

java.lang.Object
org.globus.gsi.trustmanager.DateValidityChecker

All Implemented Interfaces:
  `CertificateChecker`

public class DateValidityChecker extends Object implements CertificateChecker
Checks if the certificate has expried or is not yet valid.

Since:
  1.0
Version:
  ${version}

## Constructor Summary

Constructors
Constructor
Description
`DateValidityChecker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that checks the time validity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateValidityChecker

public DateValidityChecker()

## Method Details

### invoke

public void invoke(X509Certificate cert, GSIConstants.CertificateType certType) throws CertPathValidatorException
Method that checks the time validity. Uses the standard Certificate.checkValidity method.

Specified by:
  `invoke` in interface `CertificateChecker`
Parameters:
  `cert` - The certificate to validate.
  `certType` - The type of certificate to validate.
Throws:
  `CertPathValidatorException` - If certificate has expired or is not yet valid.